Bug 1565962 - Disable features.selinux
Summary: Disable features.selinux
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Atin Mukherjee
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-11 07:58 UTC by Prasad Desala
Modified: 2018-09-06 09:22 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.12.2-8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:46:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:47:43 UTC

Description Prasad Desala 2018-04-11 07:58:13 UTC
Description of problem:
=======================
In 3.4.0, features.selinux is enabled by default in code. Qualifying this feature is not initially in scope of 3.4.0 release and in test plan. This feature has to be disabled in 3.4.0.

Version-Release number of selected component (if applicable):
3.12.2-7.el7rhgs.x86_64

How reproducible:
always

Steps to Reproduce:
===================
1) Create a volume.
2) Run below command,
gluster v get distrepx3 all |grep -i  selinux
features.selinux                        on                    

Actual results:
==============
features.selinux is enabled by default in 3.4.0 code.

Expected results:
=================
Disable features.selinux

Comment 8 Prasad Desala 2018-04-23 09:09:32 UTC
Verified this BZ on glusterfs version 3.12.2-8.el7rhgs.x86_64. 
Now, features.selinux is set to off by default.

gluster v get ec all | grep -i linux                                
features.selinux                        off 

Moving this BZ to Verified.

Comment 10 errata-xmlrpc 2018-09-04 06:46:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.